Subject: Re: 2.6.x on 405CR

From: Jon Masters <[email-masked]>
Date: Wed, 29 Sep 2004 12:58:46 +0100

On Wed, 29 Sep 2004 13:20:17 +0200 (CEST), Piotr Perak
<[email-masked]> wrote:

> I'm a trainee in some firm. They use 2.4.23 now in their boxes.

Well you and I have the 2.4.23 bit in common. I'm the entire kernel
team in the company I work at, which is somewhat fun. Also means lists
like this are really useful on occasion.

> Porting 2.6.8.1 to their board is my project. I was told that they have some
> hardware debbuger, but it doesn't work with virtual memory.

I don't have one capable of working with virtual memory but I do have
a JTAG debugger since JTAG is used to program all of our boards - and
using insight with a large cup of coffee, System.map and the output of
a full objdump of the kernel binary in combination with modifying the
code in memory to insert infinate loops or changing the mode in the
MSR usually works for me. Seriously, if you don't have a vm capable
debugger that's a lot of masochistic fun to be had debugging.

Jon.